Bug#339431: CVE-2005-3186: Integer overflow in gdk-pixbuf's XPM code

Moritz Muehlenhoff jmm at inutil.org
Wed Nov 16 09:17:24 UTC 2005

Package: gtk+2.0
Severity: grave
Tags: security
Justification: user security hole

An integer overflow in gdk-pixbuf's XPM rendering code can be exploited
to overwrite the heap and exploit arbitrary code through crafted images.
Please see www.idefense.com/application/poi/display?id=339&type=vulnerabilities
for more details.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-1-686
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15 at euro (charmap=ISO-8859-15)

More information about the Pkg-gnome-maintainers mailing list